#/usr/bin/python2
#encoding=utf-8  
import sys
import urllib
import urllib2
import json
import ssl
from datetime import datetime,timedelta

class ItemCountData:

        def __init__(self, ViewCount,ReplyCount,ForwardCount,FetchTime):
            self.__ViewCount = ViewCount
            self.__ReplyCount = ReplyCount
            self.__ForwardCount = ForwardCount
            self.__FetchTime = FetchTime #DateTime

        @property
        def ViewCount(self):
            return self.__ViewCount

        @ViewCount.setter
        def ViewCount(self,ViewCount):
                self.__ViewCount = int(ViewCount)


        @property
        def ReplyCount(self):
            return self.__ReplyCount

        @ReplyCount.setter
        def ReplyCount(self,ReplyCount):
                self.__ReplyCount = int(ReplyCount)



        @property
        def ForwardCount(self):
            return self.__ForwardCount

        @ForwardCount.setter
        def ForwardCount(self,ForwardCount):
                self.__ForwardCount = int(ForwardCount)



        @property
        def FetchTime(self):
            return self.__FetchTime 

        @FetchTime.setter
        def FetchTime(self,FetchTime):
            self.__FetchTime = str(FetchTime)